# load conda environment
eval "$(conda shell.bash hook)"
if { conda env list | grep 'ghost-env'; } >/dev/null 2>&1; then 
    echo "Activating environment..."
    conda activate ghost-env
else
    # create environment if it does not exist
    echo "Environment ghost-env does not exist."; 
    echo "Creating environment..."
    conda create -n ghost-env -y python=3.9.16
    conda activate ghost-env
    conda install -c conda-forge cartopy -y
    pip install -r requirements.txt
fi
